GELF_GETSYMINFO(3)

NAME
gelf_getsyminfo - Retrieve class-independent additional symbol information from the symbol table at the given index

SYNOPSIS
#include <gelf.h>
GElf_Syminfo *gelf_getsyminfo (Elf_Data *data, int ndx, GElf_Syminfo *dst);

DESCRIPTION
Copy the additional symbol information entry from data at index ndx into the class-independent GElf_Syminfo structure pointed to by dst. data should be associated with an ELF section with type SHT_SUNW_syminfo and data type ELF_T_SYMINFO. These types are Sun/Solaris extensions and are not typically used in GNU/Linux ELF files.

PARAMETERS

data
    Pointer to an Elf_Data for a section with type SHT_SUNW_syminfo and data type ELF_T_SYMINFO.

ndx Zero-based index of the additional symbol table information entry within data.

dst Pointer to a caller-provided structure for storing the additional symbol information entry. Must not be NULL.

RETURN VALUE
On success, this function copies the requested additional symbol information entry into *dst and returns dst. On failure, NULL is returned and elf_errno is set. If data is NULL, then NULL is returned without setting elf_errno.

SEE ALSO
gelf_getsym(3), gelf_update_syminfo(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.